# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'WTBuildHelpers/version'

Gem::Specification.new do |spec|
  spec.name          = "WTBuildHelpers"
  spec.summary       = "Helpers for performing common WillowTree build tasks and integrations"
  spec.version       = WTBuildHelpers::VERSION
  spec.authors       = ["WillowTreeApps"]
  spec.email         = ["jeff.ward@willowtreeapps.com"]
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'OptionParser', '~> 0.5.1'
  spec.add_runtime_dependency 'rest-client', '~> 2.0'

  spec.add_development_dependency "bundler", "~> 2.1.2"
  spec.add_development_dependency "rake", "~> 10.0"
end
